View a markdown version of this page

GetBehaviorModelTrainingSummaries - AWS IoT

GetBehaviorModelTrainingSummaries

Note

The AWS IoT Device Defender detect feature will no longer be available to new customers starting August 31, 2026. If you would like to use the detect feature, sign up prior to August 31, 2026. To learn about alternatives to AWS IoT Device Defender detect, see AWS IoT Device Defender detect feature availability change. There is no change to AWS IoT Device Defender audit availability.

Returns a Device Defender's ML Detect Security Profile training model's status.

Requires permission to access the GetBehaviorModelTrainingSummaries action.

Request Syntax

GET /behavior-model-training/summaries?maxResults=maxResults&nextToken=nextToken&securityProfileName=securityProfileName HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of results to return at one time. The default is 10.

Valid Range: Minimum value of 1. Maximum value of 10.

nextToken

The token for the next set of results.

securityProfileName

The name of the security profile.

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z0-9:_-]+

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "summaries": [ { "behaviorName": "string", "datapointsCollectionPercentage": number, "lastModelRefreshDate": number, "modelStatus": "string", "securityProfileName": "string", "trainingDataCollectionStartDate": number } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

A token that can be used to retrieve the next set of results, or null if there are no additional results.

Type: String

summaries

A list of all ML Detect behaviors and their model status for a given Security Profile.

Type: Array of BehaviorModelTrainingSummary objects

Errors

InternalFailureException

An unexpected error has occurred.

message

The message for the exception.

HTTP Status Code: 500

InvalidRequestException

The request is not valid.

message

The message for the exception.

HTTP Status Code: 400

ResourceNotFoundException

The specified resource does not exist.

message

The message for the exception.

HTTP Status Code: 404

ThrottlingException

The rate exceeds the limit.

message

The message for the exception.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: